# Ansible managed
# Neofetch config file
# https://github.com/dylanaraps/neofetch


print_info() {
    info title
    info underline

    info "OS" distro
    info "Host" model
    info "Kernel" kernel
    info "Uptime" uptime
    info "Packages" packages
    info "Shell" shell
    info "DE" de
    info "WM" wm
    info "WM Theme" wm_theme
    info "Theme" theme
    info "Icons" icons
    info "CPU" cpu
    info "Memory" memory
    info "Local IP" local_ip
    info "Users" users
    info line_break
    info cols
    info line_break
}

# Kernel
kernel_shorthand="on"

# Distro
distro_shorthand="off"
os_arch="on"

# Uptime
uptime_shorthand="on"

# Shell
shell_path="off"
shell_version="on"

# CPU
speed_type="bios_limit"
speed_shorthand="off"
cpu_brand="on"
cpu_speed="on"
cpu_cores="logical"
cpu_temp="off"

# GPU
gpu_brand="on"
gpu_type="all"

# Resolution
refresh_rate="off"

# Gtk Theme / Icons / Font
gtk_shorthand="off"
gtk2="on"
gtk3="on"

# IP Address
public_ip_host="http://ident.me"

# Disk
disk_show=('/')
disk_subtitle="mount"

# Song
music_player="auto"
song_shorthand="off"

# Install Date
install_time="on"
install_time_format="12h"

# Text Colors
colors=(distro)

# Text Options
bold="on"
underline_enabled="on"
underline_char="-"

# Color Blocks
block_range=(0 7)
color_blocks="on"
block_width=3
block_height=1

# Progress Bars
bar_char_elapsed="-"
bar_char_total="="
bar_border="on"
bar_length=15
bar_color_elapsed="distro"
bar_color_total="distro"
cpu_display="off"
memory_display="off"
battery_display="off"
disk_display="off"

# Backend Settings
image_backend="ascii"
image_source="auto"

# Ascii Options
ascii_distro="auto"
ascii_colors=(distro)
ascii_bold="on"

# Image Options
image_loop="off"
thumbnail_dir="${XDG_CACHE_HOME:-${HOME}/.cache}/thumbnails/neofetch"
crop_mode="normal"
crop_offset="center"
image_size="auto"
gap=3
yoffset=0
xoffset=0
background_color=

# Scrot Options
scrot="off"
scrot_cmd="auto"
scrot_name="neofetch-$(date +%F-%I-%M-%S-${RANDOM}).png"
image_host="teknik"

# Misc Options
stdout="off"

# Config version.
#
# NOTE: Don't change this value, neofetch reads this to determine
# how to handle backwards compatibility.
config_version="3.4.0"